aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRaimo Niskanen <[email protected]>2012-01-13 15:28:56 +0100
committerRaimo Niskanen <[email protected]>2012-01-13 15:28:56 +0100
commitdcea5ce4ae0a1441eba39580480a4a7e6f20da48 (patch)
treed9bff20d667f5b86b9a6a436f484f69571c06746
parentbbb5c1d98873587e379160945452a0c1e53e210d (diff)
parent9f8fe0c0ad04f8acb9b8b8ad10c328df2e24f5ad (diff)
downloadotp-dcea5ce4ae0a1441eba39580480a4a7e6f20da48.tar.gz
otp-dcea5ce4ae0a1441eba39580480a4a7e6f20da48.tar.bz2
otp-dcea5ce4ae0a1441eba39580480a4a7e6f20da48.zip
Merge branch 'raimo/opu-fixes' into maint
* raimo/opu-fixes: inet_res_SUITE: Improve portability of run-named
-rwxr-xr-xlib/kernel/test/inet_res_SUITE_data/run-named10
1 files changed, 5 insertions, 5 deletions
diff --git a/lib/kernel/test/inet_res_SUITE_data/run-named b/lib/kernel/test/inet_res_SUITE_data/run-named
index 619e456b3f..211d2c7af7 100755
--- a/lib/kernel/test/inet_res_SUITE_data/run-named
+++ b/lib/kernel/test/inet_res_SUITE_data/run-named
@@ -2,7 +2,7 @@
##
## %CopyrightBegin%
##
-## Copyright Ericsson AB 2009-2011. All Rights Reserved.
+## Copyright Ericsson AB 2009-2012. All Rights Reserved.
##
## The contents of this file are subject to the Erlang Public License,
## Version 1.1, (the "License"); you may not use this file except in
@@ -159,17 +159,17 @@ echo "Command: $NAMED $NAMED_FG -c $CONF_FILE"
$NAMED $NAMED_FG -c "$CONF_FILE" >"$LOG_FILE" 2>&1 </dev/null &
NAMED_PID=$!
echo "Pid: $NAMED_PID"
-trap "kill -TERM $NAMED_PID >/dev/null 2>&1; wait $NAMED_PID >/dev/null 2>&1" \
+trap "kill $NAMED_PID >/dev/null 2>&1; wait $NAMED_PID >/dev/null 2>&1" \
0 1 2 3 15
sleep 5 # Give name server time to load its zone files
-if ps p $NAMED_PID; then
+if ps -p $NAMED_PID >/dev/null 2>&1 || ps p $NAMED_PID >/dev/null 2>&1; then
echo "Running: Enter \`\`quit'' to terminate nameserver[$NAMED_PID]..."
while read LINE; do
test :"$LINE" = :'quit' && break
done
+ echo "Closing: Terminating nameserver..."
else
- wait $NAMED_PID; error "$NAMED failed to start"
+ error "$NAMED failed to start"
fi
-echo "Closing: Terminating nameserver..."